Skip to main content
GET
/
api
/
v1
/
openclaw
/
youtube
/
search
Search
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/search \
  --header 'Authorization: Bearer <token>'

Parameters

query
string
required
Search query
uploadDate
string
Upload date Available options: today, this_week, this_month, this_year
sortBy
string
Sort by (e.g., relevance) Available options: relevance, popular
filter
string
Filter by these options. Note this doesn’t work when you use either ‘uploadDate’ or ‘sortBy’. It basically only works when you have a query. (e.g., all) Available options: shorts
continuationToken
string
Continuation token to get more videos. Get ‘continuationToken’ from previous response. (e.g., 4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB)
includeExtras
string
This will get you the like + comment count and the description. To get the full details of the video, use the /v1/youtube/video endpoint. This will slow down the response slightly. (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/search?query=EXAMPLE" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "videos": [
      {
        "type": "video",
        "id": "BzSzwqb-OEE",
        "url": "https://www.youtube.com/watch?v=BzSzwqb-OEE",
        "title": "NF - RUNNING (Audio)",
        "thumbnail": "...",
        "channel": {
          "id": "...",
          "title": "NFrealmusic",
          "handle": "..."
        },
        "viewCountInt": 14860541,
        "publishedTimeText": "2 years ago",
        "lengthText": "4:14",
        "lengthSeconds": 254
      }
    ],
    "channels": [],
    "playlists": [],
    "shorts": [
      {
        "type": "short",
        "id": "...",
        "title": "...",
        "viewCountInt": 462705
      }
    ],
    "continuationToken": "EooDEg..."
  },
  "meta": {
    "platform": "youtube",
    "endpoint": "search",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.